package com.usky.meeting.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.meeting.domain.MeetingFloor;
import com.usky.common.mybatis.core.CrudService;
import com.usky.meeting.service.vo.MeetingFloorRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 楼层表 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
public interface MeetingFloorService extends CrudService<MeetingFloor> {

    CommonPage<MeetingFloor> meetingFloorList(MeetingFloorRequestVO requestVO);

    void add(MeetingFloor meetingFloor);

    void edit(MeetingFloor meetingFloor);

    void remove(Long floorId);
}
